<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Connection](./puppeteer.connection.md) &gt; [(constructor)](./puppeteer.connection._constructor_.md)

## Connection.(constructor)

Constructs a new instance of the `Connection` class

<b>Signature:</b>

```typescript
constructor(url: string, transport: ConnectionTransport, delay?: number);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  url | string |  |
|  transport | ConnectionTransport |  |
|  delay | number |  |

